Dashboard
curl --request GET \
--url https://api.eesi.ai/v1/care/dashboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/care/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/care/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"today": {
"total": 123,
"completed": 123,
"upcoming": 123,
"in_progress": 123,
"no_answer": 123
},
"open_alerts": {
"critical": 123,
"warning": 123,
"info": 123
},
"active_patients": 123,
"mood_trend": [
{
"date": "<string>",
"avg": 123
}
],
"recent_calls": [
{
"call_uuid": "<string>",
"patient_uuid": "<string>",
"patient_name": "<string>",
"status": "scheduled",
"scheduled_for": "2023-11-07T05:31:56Z",
"attempt": 123,
"error": "<string>",
"summary": "<string>",
"mood_score": 123,
"result": {},
"speech_session_uuid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"upcoming_calls": [
{
"call_uuid": "<string>",
"patient_uuid": "<string>",
"patient_name": "<string>",
"status": "scheduled",
"scheduled_for": "2023-11-07T05:31:56Z",
"attempt": 123,
"error": "<string>",
"summary": "<string>",
"mood_score": 123,
"result": {},
"speech_session_uuid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Dashboard
GET
/
v1
/
care
/
dashboard
Dashboard
Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Query Parameters
IANA timezone the 'today' window uses
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes